import greenfoot.*;

/**
 * Write a description of class Outside here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Outside extends World
{
    private int score;
    private int time;
    /**
     * Constructor for objects of class Outside.
     * 
     */
    public Outside()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(800, 525, 1);
        score = 0;
        time = 5000;
        showScore();
        showTime();
        prepare();
    }

    public void act()
    {
        countTime();
         if (Greenfoot.getRandomNumber(100) < 2)
        {
            addObject(new Ball(), 779, Greenfoot.getRandomNumber(360));
        }
    }

    public void addScore(int points)
    {
        score = score + points;
        showScore();
        if (score < 0) 
        {
            Greenfoot.stop();
        }
    }

    /**
     * Show our current score on screen.
     */
    private void showScore()
    {
        showText("Score: " + score, 80, 25);
    }

    /**
     * Count down the game time and display it. Stop the game 
     * with a winning message when time is up.
     */
    private void countTime()
    {
        time--;
        showTime();
        if (time == 0)
        {
            showEndMessage();
            Greenfoot.stop();
        }
    }

    /**
     * Show the remaining game time on screen.
     */
    private void showTime()
    {
        showText("Time: " + time, 700, 25);
    }

    /**
     * Show the end-of-game message on screen.
     */
    private void showEndMessage()
    {
        showText("Mix is over, How'd ya do?", 390, 150);
        showText("You got: " + score + " points", 390, 170);
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        Net net = new Net();
        addObject(net, 239, 252);
    }
}

